| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
fsdk::SubImage Struct Reference

Sub Image. More...

`#include <SubImage.h>`

## Public Member Functions
| SubImage () noexcept
| intializes empty sub image.
template<typename T >
T * | getDataAs () noexcept
template<typename T >
const T * | getDataAs () const noexcept
Point2i | getOrigin () const noexcept
Size | getSize () const noexcept
Rect | getRect () const noexcept
bool | isValid () const noexcept

## Public Attributes
void * | data
| Beginning of data sub image data.
int | pitch
| Number of bytes to the next scanline of the sub image.
int | x
| Sub image origin x coordinate.
int | y
| Sub image origin y coordinate.
int | width
| Sub image width.
int | height
| Sub image height.
Format | format
| Sub image format.

## Detailed Description

Sub Image.

Represents an image region of given size. Provides easy access to image internal data without any lifetime management capabilities.

## Member Function Documentation

## ◆ getDataAs() [1/2]

template<typename T >

const T * fsdk::SubImage::getDataAs | ( |  | ) | const
| inline noexcept

Returns
  pointer to sub image data cast to a given type.

## ◆ getDataAs() [2/2]

template<typename T >

T * fsdk::SubImage::getDataAs | ( |  | ) |
| inline noexcept

Returns
  pointer to sub image data cast to a given type.

## ◆ getOrigin()

Point2i fsdk::SubImage::getOrigin | ( |  | ) | const
| inline noexcept

Returns
  sub image origin.

## ◆ getRect()

Rect fsdk::SubImage::getRect | ( |  | ) | const
| inline noexcept

Returns
  sub image rectangle.

## ◆ getSize()

Size fsdk::SubImage::getSize | ( |  | ) | const
| inline noexcept

Returns
  sub image size.

## ◆ isValid()

bool fsdk::SubImage::isValid | ( |  | ) | const
| inline noexcept

Returns
  true if subImage is not null and has valid dimensions and format.

The documentation for this struct was generated from the following file:

- fsdk.framework/Headers/Types/SubImage.h